{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/property_vacancy_report/note_edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/property_vacancy_report/note_edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_property_vacancy_report_report', {'propertyVacancyReportId': propertyVacancyReport.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center w-100">Leerstandsmeldung, {% if propertyVacancyReport.getIndustryClassification() %}{{ propertyVacancyReport.getIndustryClassification().getName() }}{% else %}Objekt{% endif %}{% if propertyVacancyReport.getPropertyUserCompanyName() %}, {% if propertyVacancyReport.isObjectIsEmpty() %}ehemals {% endif %}{{ propertyVacancyReport.getPropertyUserCompanyName() }}{% endif %} – Notiz bearbeiten</span>

        {% if is_granted('edit', propertyVacancyReport) == true %}
            {{ form_widget(propertyVacancyReportNoteForm.save, {'label': 'SPEICHERN', 'id': propertyVacancyReportNoteForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
            {% set listItems = [
                {
                    'label': 'Notiz löschen',
                    'url': path('property_vacancy_management_property_vacancy_report_note_delete', {'propertyVacancyReportId' : propertyVacancyReport.getId(), 'propertyVacancyReportNoteId' : propertyVacancyReportNote.getId()}),
                    'icon': 'delete_forever'
                },
            ] %}
            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'property_vacancy_report_note','listItems': listItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            {% if is_granted('edit', propertyVacancyReport) == true %}
                {{ form_start(propertyVacancyReportNoteForm, {'attr': {'id': propertyVacancyReportNoteForm.vars.id ~ '_form'}}) }}
            {% endif %}
            {% include 'property_vacancy_management/form/property_vacancy_report/property_vacancy_report_note_form.html.twig' with {'form': propertyVacancyReportNoteForm} only %}
            {% if is_granted('edit', propertyVacancyReport) == true %}
                {{ form_row(propertyVacancyReportNoteForm._token) }}
                {{ form_end(propertyVacancyReportNoteForm, {'render_rest': false}) }}
            {% endif %}
        </div>
    </div>
{% endblock %}
